[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'process' (#fcl)

# RunCommand

Execute a command in the current working directory

## Declaration

Source position: line 0

`function RunCommand(`
`const exename: string;`
`const commands: array of string;`
`var outputstring: string`
`):Boolean; function RunCommand(`
`const cmdline: string;`
`var outputstring: string`
`):Boolean;`

## Arguments

`exename` |  | Binary to start.
`commands` |  | Command-line arguments
`outputstring` |  | String containing the output of the process.

## Function result

True if the function executed succesfully

## Arguments

`cmdline` |  | Filename of ninary to start and command-line arguments, separated by whitespace.
`outputstring` |  | String containing the output of the process.

## Description

RunCommand runs RunCommandInDir with an empty current working directory.

## See also

RunCommandInDir |  | Run a command in a specific directory.

Documentation generated on: Feb 26 2014